Bug 474534 - Updates links to kbase.redhat.com articles in hardware.redhat.com
Updates links to kbase.redhat.com articles in hardware.redhat.com
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: YangKun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 06:04 EST by Tushar Gandotra
Modified: 2013-07-04 04:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 16:07:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
old to new kbase mapping (65.44 KB, text/csv)
2009-05-19 09:43 EDT, Rob Landry
no flags Details
old-format kbase list (39.42 KB, text/plain)
2009-05-20 02:33 EDT, YangKun
no flags Details

  None (edit)
Description Tushar Gandotra 2008-12-04 06:04:38 EST
Description of problem:It shows the old links to the kbase.redhat.com

Attached is the mapping from primus articles id (first column) to clearspace id (second column).

May be you can run a query on the db for the search and replace of the links.
Comment 1 Rob Landry 2008-12-04 10:16:25 EST
Tushar, seems the list didn't get attached, perhaps there is an api we could utilize to script the ID swapping?
Comment 2 Tushar Gandotra 2008-12-04 13:24:35 EST
(In reply to comment #1)
> Tushar, seems the list didn't get attached, perhaps there is an api we could
> utilize to script the ID swapping?

Rob, 

i sent you the mapping again in a separate mail, currently we used some scripts to swap the urls but those are specific to the clearspace. I am not sure about the structure if the hardware.redhat site, so i wont be able to comment much. 
Please let me know if you need our help in creating some scripts, i can take the talks forward but could not guarantee anything as we are going to start the QA for our next release next week.

Thanks and Regards
Tushar
Comment 3 Rob Landry 2009-05-19 09:43:12 EDT
Created attachment 344617 [details]
old to new kbase mapping
Comment 4 YangKun 2009-05-20 02:32:25 EDT
seems this kbase mapping is for all kbase articles. I asked nicho for help, to find out hwcert related kbases.
Comment 5 YangKun 2009-05-20 02:33:18 EDT
Created attachment 344745 [details]
old-format kbase list
Comment 6 YangKun 2009-05-20 02:39:34 EDT
there're 383 old-format kbase records in our DB. Not too many I guess :-)

I think we can manually replace these old-format records with the corresponding new IDs. I'll try to do this this afternoon and see how many I can finish in 1hour.
Comment 7 YangKun 2009-05-20 05:06:53 EDT
the catalog become really slow now. I don't wanna try in this condition for 1hour. so I tried 10minutes, manually added the new kbase links and removed the old-format kbase links. I finished 7 records and did this very slowly :) I'm optimistic I can do at least 42 records in 1hour.

which means I think we can finish all 383 old-format hwcert related kbase records in : 
    383 / 42 ~=  9.12 < 10 (man*hour)

;-)
Comment 8 YangKun 2009-05-25 06:20:45 EDT
this is done today. thanks for BillSun's help. we manually changed those 383 old kbase links to the new ones :)
Comment 9 YangKun 2009-05-25 21:25:20 EDT
confirmed with nicho. there're no old-format kbase links in our hwcert records.

I'm going to change the status to verified.
Comment 10 Rob Landry 2009-05-26 15:43:38 EDT
Confirmed, I see 7 continued uses of the old kbase linking:

 187977 - not a hwcert
 205195 - not a hwcert 
 205511 - test hwcert, in dumpster
 367381 - test hwcert, in dumpster
 428736 - hwcert, in dumpster
 456311 - hwcert, in dumpster 
 456319 - hwcert, in dumpster


Tushar, anything left to do here?
Comment 11 Tushar Gandotra 2009-05-27 07:07:08 EDT
(In reply to comment #10)
> Confirmed, I see 7 continued uses of the old kbase linking:
> 
>  187977 - not a hwcert
>  205195 - not a hwcert 
>  205511 - test hwcert, in dumpster
>  367381 - test hwcert, in dumpster
>  428736 - hwcert, in dumpster
>  456311 - hwcert, in dumpster 
>  456319 - hwcert, in dumpster
> 
> 
> Tushar, anything left to do here?  

Rob

I am not sure what you meant above. Is there still some linking to old urls? If everything has been replaced with the new links, then i consider this as a fixed issue :)

You can close the ticket.. Let it rest in peace for good ;)

Thanks and Regards
Tushar
Comment 12 Rob Landry 2009-05-27 16:07:23 EDT
Tushar,

There are still 7 bugs in Bugzilla that have links to the old kbase URL, 5 of those are garbage thrown away dead certs (you can't delete bugs in BZ's so these will stay but can be ignored) and 2 are regular bugs that aren't hwcerts so you may want to contact the bug owners and see what makes sense with them.  There are no live or active hwcerts with links to the old kbase so I'm going to go ahead and close this.

-Rob

Note You need to log in before you can comment on or make changes to this bug.